#!/usr/bin/env zsh
 
### Job name
#BSUB -J Task2
 
### File / path where STDOUT & STDERR will be written
###    %J is the job ID, %I is the array ID
#BSUB -o Task2.%J.%I
 
### Request the time you need for execution in minutes
### The format for the parameter is: [hour:]minute,
### that means for 80 minutes you could also use this: 1:20
#BSUB -W 10
 
### Request memory you need for your job in TOTAL in MB
#BSUB -M 5000
 
### Use Advanced Reservation 
#BSUB -P hpclab -U PPCES

### Request one P100 GPU
#BSUB -gpu -
#BSUB -R pascal
 
### setup environment
module switch intel pgi/18.10
module load cuda/92
 
### Compile & Execute your application
make clean
make
make run
