#!/usr/local_rwth/bin/zsh
 
### Job name
#SBATCH -J Task5

### Request one GPU and 24 tasks / cores
#SBATCH -p c18g
#SBATCH --gres=gpu:2
#SBATCH --nodes=1
#SBATCH --cpus-per-task=24

### File / path where STDOUT & STDERR will be written
#SBATCH -o Task5.%J.out
#SBATCH -e Task5.%J.err
 
### Request the time you need for execution in minutes
### The format for the parameter is: hour:minute:seconds
#SBATCH -t 00:10:00
 
### Request memory you need for your job in TOTAL in GB
#SBATCH --mem=5G
 
### Use Advanced Reservation 
##SBATCH -A hpclab --reservation=...
 
### setup environment
module load pgi/18.10
module load cuda/92
 
### Compile & Execute your application
make clean
make
#make run rows=2 threads=24
OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK ./jacobi -1 2
