#!/usr/bin/env zsh
 
### Job name
#SBATCH -J openmp

### Request one GPU
##SBATCH -p c18g
##SBATCH --gres=gpu:1

### File / path where STDOUT & STDERR will be written
#SBATCH -o gprof.out
 
### Limit runtime to 10 minutes
#SBATCH --time=00:10:00
 
### Request 5000 MB of memory
#SBATCH --mem=5000M

### Start 1 thread
#SBATCH --nodes=1
#SBATCH --cpus-per-task=1
#SBATCH --ntasks-per-node=1
#SBATCH --ntasks-per-core=1

### Use Advanced Reservation
##SBATCH -A hpclab

### setup environment
module switch intel pgi/18.10
module load cuda/92
export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK
 
### Compile & Execute your application
make clean
pgcc -fastsse -mp -Minfo=mp -tp=haswell-64 -g -pg -c jacobi.c -o jacobi.o
pgcc -g -pg -mp -Minfo=mp -ldl  jacobi.o -o jacobi
#OMP_PROC_BIND=true OMP_NUM_THREADS=1 ./jacobi
OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK ./jacobi
