#!/usr/bin/env zsh
 
### Job name
#SBATCH -J openmp_ptr_swap

### Request one GPU
##SBATCH -p c18g
##SBATCH --gres=gpu:1

### File / path where STDOUT & STDERR will be written
#SBATCH -o openmp_ptr_swap.out
 
### Limit runtime to 10 minutes
#SBATCH --time=00:10:00
 
### Request 5000 MB of memory
#SBATCH --mem=5000M

### Use Advanced Reservation
##SBATCH -A hpclab

### Start 24 threads
#SBATCH --nodes=1
#SBATCH --ntasks-per-core=1
#SBATCH --cpus-per-task=24
#SBATCH --ntasks-per-node=1

### setup environment
module load pgi/18.10
module load cuda/92
export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK
#export OMP_PROC_BIND=true
 
### Compile & Execute your application
make clean
make

srun ./jacobi 1
